gntclipboard.h File Reference
GNT (GLib Ncurses Toolkit)
`#include <stdio.h>`
`#include <glib.h>`
`#include <glib-object.h>`

Go to the source code of this file.

## Data Structures

struct | _GntClipboard
struct | _GntClipboardClass

## Macros

#define | GNT_TYPE_CLIPBOARD (gnt_clipboard_get_gtype())
#define | GNT_CLIPBOARD(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), GNT_TYPE_CLIPBOARD, GntClipboard))
#define | GNT_CLIPBOARD_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), GNT_TYPE_CLIPBOARD, GntClipboardClass))
#define | GNT_IS_CLIPBOARD(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), GNT_TYPE_CLIPBOARD))
#define | GNT_IS_CLIPBOARD_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GNT_TYPE_CLIPBOARD))
#define | GNT_CLIPBOARD_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), GNT_TYPE_CLIPBOARD, GntClipboardClass))

## Typedefs

typedef struct _GntClipboard | GntClipboard
typedef struct _GntClipboardClass | GntClipboardClass

## Functions

G_BEGIN_DECLS GType | gnt_clipboard_get_gtype (void)
gchar * | gnt_clipboard_get_string (GntClipboard *clip)
| Get the current text from the clipboard. More...
void | gnt_clipboard_set_string (GntClipboard *clip, const gchar *string)
| Set the text in the clipboard. More...

## Detailed Description

Clipboard API

Definition in file gntclipboard.h.

## Function Documentation

## gnt_clipboard_get_gtype()

G_BEGIN_DECLS GType gnt_clipboard_get_gtype | ( | void |  | ) |

Returns
  GType for GntClipboard.

## gnt_clipboard_get_string()

gchar* gnt_clipboard_get_string | ( | GntClipboard * | clip | ) |

Get the current text from the clipboard.

Parameters

  clip | The clipboard.

Returns
  A copy of the string in the clipboard. The caller should free the returned value.

## gnt_clipboard_set_string()

void gnt_clipboard_set_string | ( | GntClipboard * | clip,
|  | const gchar * | string
| ) |  |

Set the text in the clipboard.

Parameters

  clip | The clipboard.
  string | New string for the clipboard.